#
#	File:		VUTool.make
#
#	Contains:	xxx put contents here xxx
#
#	Written by:	Rick Violet
#
#	Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#
#		 <5>	 3/22/94	CMW		Added AEUserTermTypes.r
#				11/18/92	RV		xxx put comment here xxx
#
#	To Do:
#

#
#	Key Names
MainTarget		=	ProcessTool
AppSignature	=	VUPT

#
#	Folder/File names
ObjectDir		=	:Objects:

#
#	TOOL OPTIONS
CPlusOptions 		=	-mf -sym on -mbg full
RezOptions 			=	-a
LinkOptions 		=	-t APPL -c {AppSignature} -mf -d -sym On
SetFileOptions		=	-a Bi

#
#	Objects Directory
{ObjectDir}  :	

#
#	CPLUS
.cp.o  .cp 
	CPlus  {default}.cp -o {Targ} {CPlusOptions}

#
#	RezHeaders
RezHeaders	= 
			 "RequestDispatcher.r.h" 
			 "Application.r.h" 

#
#	RezSources
RezSources	= 
			 "RequestDispatcher.r" 
			 "AEUserTermTypes.r" 
			 "Application.r" 
			 "ProcessTool.r" 

#
#	TargetObjs
TargetObjs	= 
			"{ObjectDir}AERequest.cp.o" 
			"{ObjectDir}List.cp.o" 
			"{ObjectDir}ProcessServices.cp.o" 
			"{ObjectDir}Object.cp.o" 
			"{ObjectDir}RequestDispatcher.cp.o" 
			"{ObjectDir}ScriptValue.cp.o" 
			"{ObjectDir}Service.cp.o" 
			"{ObjectDir}Request.cp.o" 
			"{ObjectDir}Application.cp.o" 

#
#	TargetLibs
TargetLibs	=	
			"{CLibraries}"CPlusLib.o 
			"{Libraries}"Interface.o 
			"{Libraries}"Runtime.o 
			"{CLibraries}"StdCLib.o 
			"{Libraries}"ToolLibs.o
			
#
#	REZ
{MainTarget}  {RezHeaders} {RezSources}
	Rez {RezSources} -o {Targ} {RezOptions}

#
#	LINK
{MainTarget}		{TargetObjs} {TargetLibs} 
	Link -o {Targ} {TargetObjs} {TargetLibs} {LinkOptions}
	SetFile {Targ} {SetFileOptions}
	Save -a
	
#
#	Dependency rules

#
#	AERequest.cp
"{ObjectDir}AERequest.cp.o"		
		"AERequest.cp"	
		"AERequest.h"	
		"List.h"	
		"Object.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"Request.h"	
		"VUAE.h"

#
#	ProcessServices.cp
"{ObjectDir}ProcessServices.cp.o"		
		"ProcessServices.cp"	
		"ProcessServices.h"	
		"List.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"Request.h"	
		"VUAE.h"

#
#	List.cp
"{ObjectDir}List.cp.o"		
		"List.cp"	
		"List.h"	
		"Object.h"

#
#	Object.cp
"{ObjectDir}Object.cp.o"		
		"Object.cp"	
		"Object.h"

#
#	RequestDispatcher.cp
"{ObjectDir}RequestDispatcher.cp.o"		
		"RequestDispatcher.cp"	
		"List.h"	
		"Object.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"Request.h"	
		"Application.h"	
		"VUAE.h"

#
#	ScriptValue.cp
"{ObjectDir}ScriptValue.cp.o"		
		"ScriptValue.cp"	
		"Object.h"	
		"ScriptValue.h"	
		"VUAE.h"

#
#	Service.cp
"{ObjectDir}Service.cp.o"		
		"Service.cp"	
		"List.h"	
		"Object.h"	
		"RequestDispatcher.h"	
		"ScriptValue.h"	
		"Service.h"	
		"Request.h"	
		"Application.h"	
		"VUAE.h"

#
#	Request.cp
"{ObjectDir}Request.cp.o"		
		"Request.cp"	
		"List.h"	
		"Object.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"Request.h"	
		"VUAE.h"

#
#	Application.cp
"{ObjectDir}Application.cp.o"		
		"Application.cp"	
		"AERequest.h"	
		"List.h"	
		"Object.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"Request.h"	
		"Application.h"	
		"VUAE.h"
