/*
 *	File:		ProcessTool.r
 *
 *	Contains:	Contains resources specific to ProcessTool
 *				These may or may not over ride those resources
 *				from the C++ Tool Template, which process tool derives from
 *
 *	Written by:	Rick Violet
 *
 *	Copyright:	 1992 by Apple Computer, Inc., all rights reserved.
 *
 *	Change History (most recent first):
 *
 *				11/18/92	RV		Put in "About Box" resource to over ride template's
 *
 *	To Do:
 */

#include "SysTypes.r"
#include "Types.r"

#include "Application.R.h"

/**/
/*	MENU	-	apple menu															*/			
/**/
resource 'MENU' ( kAppleMenuID, preload ) 
{
	kAppleMenuID, textMenuProc,
	0b1111111111111111111111111111101,	/* enable About & DAs, disable separator */
	enabled, apple,
	{	
		"About ProcessTool",	noIcon, 	noKey, 	noMark, 	plain,
		"-", 					noIcon, 	noKey, 	noMark, 	plain
	}
};

/**/
/*	DITL	-	About box alert	item list											*/
/**/
resource 'DITL' ( kAboutAlertID, purgeable ) 
{ {								
	{ 88, 184, 108, 264}, Button	 { enabled,	 "OK"	},
	{  8,   8,  26, 245}, StaticText { disabled, "Example Virtual User External Tool."	},
	{ 32,   8,  48, 244}, StaticText { disabled, "Written in C++."	},
	{ 56,   8,  71, 244}, StaticText { disabled, "Brought to you by: Phil Thompson"	},
	{ 80,   8, 114, 170}, StaticText { disabled, "Copyright  1992 \n"
												 "Apple Computer, Inc."	}
} };

