#
#	File:		VUTool.make
#
#	Contains:	xxx put contents here xxx
#
#	Written by:	Rick Violet
#
#	Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#
#		 <2>	 3/22/94	CMW		Add AEUserTermTypes.r to RezSources.
#				11/18/92	RV		xxx put comment here xxx
#
#	To Do:
#

#
#	Key Names
MainTarget		=	VUTool
AppSignature	=	VUTL

#
#	Folder/File names
ObjectDir		=	:Objects:
CPlusDump		=	"CPlusDump"
CPlusDumpDir	=	:

#
#	TOOL OPTIONS
Model				=	-model far
Sym					=	-sym   full
Mbg					=	-mbg   full
PascalOptions 		=	{Model} {Sym} {Mbg} -mf -m
AsmOptions 			=	{Model} {Sym} 
CPlusDefines 		=	-d __UseStream__ -d __UseBusyCursor__
CPlusOptions 		=	{CPlusDefines} {Model} {Sym} {Mbg} -mf -m
CPlusDumpOptions	=	-dump {CPlusDumpDir}
CPlusLoad 			=	-load {CPlusDumpDir}CPlusDump.h.dump
RezOptions 			=	-a
LinkOptions 		=	{Model} {Sym} -t APPL -c {AppSignature} -mf -d -srt
SetFileOptions		=	-a Bi

#
#	RezHeaders
RezHeaders	= 
			 Application.r.h 
			 RequestDispatcher.r.h 

#
#	RezSources
RezSources	= 
			 AEUserTermTypes.r 
			 Application.r 
			 RequestDispatcher.r 

#
#	TargetObjs
TargetObjs	= 
			 {ObjectDir}AERequest.cp.o 
			 {ObjectDir}Application.cp.o 
			 {ObjectDir}AService.cp.o 
			 {ObjectDir}List.cp.o 
			 {ObjectDir}MiscServices.cp.o 
			 {ObjectDir}Object.cp.o 
			 {ObjectDir}Request.cp.o 
			 {ObjectDir}RequestDispatcher.cp.o 
			 {ObjectDir}ScriptValue.cp.o 
			 {ObjectDir}Service.cp.o 
			 {ObjectDir}Stream.cp.o 

#
#	TargetLibs
TargetLibs	=	
			"{CLibraries}"CPlusLib.o 
			"{Libraries}"Interface.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"ToolLibs.o 
			"{CLibraries}"StdCLib.o 
			
#
#	Objects Directory
{ObjectDir}  :	

#
#	LINK
{MainTarget}		{TargetObjs} {TargetLibs} 
	Link -o {Targ} {TargetObjs} {TargetLibs} {LinkOptions}
	SetFile {Targ} {SetFileOptions}
	Save -a
	
#
#	REZ
{MainTarget}  {RezHeaders} {RezSources}
	Rez {RezSources} -o {Targ} {RezOptions}

#
#	CPlusDump
	
"{CPlusDumpDir}CPlusDump.h.dump"  "{CPlusDumpDir}CPlusDump.h"
	CPlus  "{CPlusDumpDir}CPlusDump.h" -o "{CPlusDumpDir}CPlusDump.h.o"  {CPlusOptions} {CPlusDumpOptions} 

"{CPlusDumpDir}CPlusDump.h.o"  "{CPlusDumpDir}CPlusDump.h.dump"
	IF ! `Exists "{CPlusDumpDir}CPlusDump.h.o"`
		CPlus  "{CPlusDumpDir}CPlusDump.h" -o "{CPlusDumpDir}CPlusDump.h.o"  {CPlusOptions} {CPlusDumpOptions} 
	END
	
#
#	CPLUS
.cp.o  .cp
	CPlus  {default}.cp -o {Targ} {CPlusOptions} {CPlusLoad} 

#
#	PASCAL
.p.o  .p
	Pascal  {default}.p -o {Targ} {CPlusOptions} {CPlusLoad} 

#
#	ASM
.a.o  .a
	Asm  {default}.a -o {Targ} {AsmOptions}
	
#
#	Dependency rules

#
#	AERequest
"{ObjectDir}AERequest.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"AERequest.cp"	
		"AERequest.h"	
		"List.h"	
		"Object.h"	
		"Request.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"VUAE.h"


#
#	Application
"{ObjectDir}Application.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"Application.cp"	
		"AERequest.h"	
		"Application.h"	
		"List.h"	
		"Object.h"	
		"Request.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"VUAE.h"


#
#	AService
"{ObjectDir}AService.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"AService.cp"	
		"AService.h"	
		"List.h"	
		"Object.h"	
		"Request.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"VUAE.h"


#
#	List
"{ObjectDir}List.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"List.cp"	
		"List.h"	
		"Object.h"


#
#	MiscServices
"{ObjectDir}MiscServices.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"MiscServices.cp"	
		"Application.h"	
		"List.h"	
		"MiscServices.h"	
		"Object.h"	
		"Request.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"VUAE.h"


#
#	Object
"{ObjectDir}Object.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"Object.cp"	
		"Object.h"


#
#	Request
"{ObjectDir}Request.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"Request.cp"	
		"List.h"	
		"Object.h"	
		"Request.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"VUAE.h"


#
#	RequestDispatcher
"{ObjectDir}RequestDispatcher.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"RequestDispatcher.cp"	
		"Application.h"	
		"List.h"	
		"MiscServices.h"	
		"Object.h"	
		"Request.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"VUAE.h"


#
#	ScriptValue
"{ObjectDir}ScriptValue.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"ScriptValue.cp"	
		"Object.h"	
		"ScriptValue.h"	
		"VUAE.h"


#
#	Service
"{ObjectDir}Service.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"Service.cp"	
		"Application.h"	
		"List.h"	
		"Object.h"	
		"Request.h"	
		"RequestDispatcher.h"	
		"RequestDispatcher.r.h"	
		"ScriptValue.h"	
		"Service.h"	
		"VUAE.h"


#
#	Stream
"{ObjectDir}Stream.cp.o"		
		{CPlusDumpDir}{CPlusDump}.h.dump	
		"Stream.cp"	
		"Object.h"	
		"Stream.h"

